Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# CosEventComm::PushConsumer Interface Reference

Define the interface implemented by push-style consumers. More...

`import "CosEventComm.idl";`

Inheritance diagram for CosEventComm::PushConsumer:

[legend]
List of all members.

## Public Methods
void | push (in any data) raises (Disconnected)
| Receive one event from the Consumer's peer.
void | disconnect_push_consumer ()
| The peer has disconnected from the PushConsumer.

## Detailed Description

Define the interface implemented by push-style consumers.

A push-style consumer passively receives events from the Event Service. Applications simply implement this interface, connect to the Event Service and receive events.

## Member Function Documentation

void CosEventComm::PushConsumer::disconnect_push_consumer | ( |  | ) |

| The peer has disconnected from the PushConsumer. The disconnect_push_consumer operation indicates that the peer has disconnected, for example, because it has been destroyed. The application can safely release all resources attached to this consumer and destroy it, no further push() calls should be expected.

void CosEventComm::PushConsumer::push | ( | in any | data | ) | raises (Disconnected)

  | Receive one event from the Consumer's peer. A supplier communicates event data to the consumer by invoking the push operation. Parameters:
  data | The event
  Exceptions:
  CosEventComm::Disconnected | if the object considers itself no longer connected to its peer.

The documentation for this interface was generated from the following file:

- CosEventComm.idl